Package org.springframework.security.web.authentication.logout

# Class LogoutSuccessEventPublishingLogoutHandler

java.lang.Object
org.springframework.security.web.authentication.logout.LogoutSuccessEventPublishingLogoutHandler

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.context.ApplicationEventPublisherAware`, `LogoutHandler`

public final class LogoutSuccessEventPublishingLogoutHandler extends Object implements LogoutHandler, org.springframework.context.ApplicationEventPublisherAware
A logout handler which publishes `LogoutSuccessEvent`

Since:
  5.2.0

## Constructor Summary

Constructors
Constructor
Description
`LogoutSuccessEventPublishingLogoutHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`logout(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication authentication)`
Causes a logout to be completed.
`void`
`setApplicationEventPublisher(org.springframework.context.ApplicationEventPublisher applicationEventPublisher)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LogoutSuccessEventPublishingLogoutHandler

public LogoutSuccessEventPublishingLogoutHandler()

## Method Details

### logout

public void logout(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication authentication)
Description copied from interface: `LogoutHandler`
Causes a logout to be completed. The method must complete successfully.

Specified by:
  `logout` in interface `LogoutHandler`
Parameters:
  `request` - the HTTP request
  `response` - the HTTP response
  `authentication` - the current principal details

### setApplicationEventPublisher

public void setApplicationEventPublisher(org.springframework.context.ApplicationEventPublisher applicationEventPublisher)

Specified by:
  `setApplicationEventPublisher` in interface `org.springframework.context.ApplicationEventPublisherAware`